Bug 626110 - [abrt] fldigi-3.20.20-2.fc13: diediedie: Process /usr/bin/fldigi was killed by signal 11 (SIGSEGV)
Summary: [abrt] fldigi-3.20.20-2.fc13: diediedie: Process /usr/bin/fldigi was killed b...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fldigi (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Randall "Randy" Berry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:94f8b1e34743aeb3d52b633256c...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-22 01:08 UTC by Rik van Riel
Modified: 2011-06-28 14:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 14:14:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.72 KB, text/plain)
2010-08-22 01:08 UTC, Rik van Riel
no flags Details
shell script to change between psk31 frequencies (337 bytes, application/octet-stream)
2010-08-29 15:18 UTC, Rik van Riel
no flags Details

Description Rik van Riel 2010-08-22 01:08:13 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: fldigi
component: fldigi
crash_function: diediedie
executable: /usr/bin/fldigi
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: fldigi-3.20.20-2.fc13
rating: 4
reason: Process /usr/bin/fldigi was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1282424266
uid: 500

comment
-----
I run fldigi with the main window minimalized most of the time, and just the psk browser window visible on my desktop.

The segfault appears to happen after essentially a random amount of time.

How to reproduce
-----
1. I run fldigi in 'psk browser' mode, using rigctld as the rig control daemon
2. additionally, I run a shell script that changes frequencies every two minutes, so every psk frequency gets scanned
3. after some time, fldigi disappears in a segfault

Comment 1 Rik van Riel 2010-08-22 01:08:15 UTC
Created an attachment (id=440174)
File: backtrace

Comment 2 Randall "Randy" Berry 2010-08-28 23:26:20 UTC
Rik,
Just so that all bases are covered can you share the script you are using? (added as an attachment) I will contact Dave and see if he can reproduce this bug. I can't reproduce it locally and don't own a controlled rig. I could update to the current version 3.20.24 but I doubt it addresses this issue.

Comment 3 Rik van Riel 2010-08-29 15:18:06 UTC
Created attachment 441802 [details]
shell script to change between psk31 frequencies

I have noticed that fldigi seems to crash right around the time the frequency changes happen.

Comment 4 Bug Zapper 2011-06-01 10:52:49 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora Admin XMLRPC Client 2011-06-20 22:45:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Bug Zapper 2011-06-28 14:14:53 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.